Bug 16741 - Remove dead code "sub itemissues" from C4/Circulation.pm
Summary: Remove dead code "sub itemissues" from C4/Circulation.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-15 06:05 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16741 - Remove dead code "sub itemissues" from C4/Circulation.pm (4.15 KB, patch)
2016-08-10 08:18 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16741 - Remove dead code "sub itemissues" from C4/Circulation.pm (4.21 KB, patch)
2016-08-11 08:41 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 16741 - Remove dead code "sub itemissues" from C4/Circulation.pm (4.28 KB, patch)
2016-08-11 09:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-06-15 06:05:18 UTC
It seems that sub itemissues, defined in C4/Circulation.pm, is never used.

Behalve of C4/Circulation.pm it is only found (but not used) in:
catalogue/moredetail.pl:use C4::Circulation;  # to use itemissues

To verify:
- git grep itemissues
- comment out line 33 in catalogue/moredetail.pl, verifiy that 
  there are no errors or side effects
Comment 1 Marc Véron 2016-08-10 08:18:29 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-08-11 08:41:45 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-11 09:41:04 UTC
Created attachment 54289 [details] [review]
Bug 16741 - Remove dead code "sub itemissues" from C4/Circulation.pm

To verify:
- git grep itemissues
Result: Appears in C4/Circulation.pm only

To test:
- apply patch
- git grep itemissues
Expected result: No occurences
- prove t/db_dependent/Circulation.t
Expected result: Pass OK

Signed-off-by: Claire Gravely <c.gravely@arts.ac.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-08-18 16:17:16 UTC
Pushed to master for 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-08-23 10:47:38 UTC
Pushed in 16.05. Will be in 16.05.03.